Несколько уязвимостей в PHPX

Дата публикации:
26.03.2007
Дата изменения:
10.11.2008
Всего просмотров:
948
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1550
CVE-2007-1551
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHPX 3.x
Уязвимые версии: PHPX 3.5.15, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "news_id" в сценарии print.php, в праметре "keywords" в сценарии search.php, в параметрах "cat_id", "topic_id" и "post_id" в сценарии forums.php, в параметрах "cat_id" и "image_id" в сценарии gallery.php, в параметрах "news_id" и "news_cat_id" в сценарии news.php, и в параметре "user_id" в сценарии users.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "keywords" сценария search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.phpx.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA